Campaigns

Create a campaign

Creates an email campaign draft for the given audience and content, returning the created campaign.

POST
/v1/campaigns

Creates an email campaign draft for the given audience and content, returning the created campaign.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
name*string
Lengthlength <= 120
channel*string
Value in"sms""whatsapp""email"
content*||
audience*
policy?|null

Response Body

Success

application/json
  1. response
id*CampaignId
Match^camp_[0-9a-hjkmnp-tv-z]{16,24}$
name*string
channel*string
Value in"sms""whatsapp""email"
content*||
audience*
policy*
definition*
latestRun*|null
createdBy*string|null
actorEmail*string
memberRole*string
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.campaigns.create({  "name": "example",  "channel": "sms",  "content": {    "channel": "email",    "email": {}  },  "audience": {    "topicId": "example"  }});
Example Response
{  "id": "string",  "name": "string",  "channel": "sms",  "content": {    "channel": "email",    "email": {      "subject": "string",      "html": "string",      "text": "string",      "attachments": [        {          "filename": "string",          "content": "string",          "mediaId": "string",          "contentType": "string",          "size": 1        }      ],      "publicationId": "string",      "inputContractId": "string",      "templateId": "string",      "templateSlug": "string",      "templateData": {        "property1": "string",        "property2": "string"      },      "locale": "string",      "timeZone": "string",      "inReplyToMessageId": "string",      "replyTo": [        "string"      ],      "topicId": "string",      "tracking": {        "opens": true,        "clicks": true      },      "footer": {        "enabled": true      },      "headers": {        "property1": "string",        "property2": "string"      },      "preheader": "string"    },    "issue": {      "path": "string",      "commit": "string"    },    "from": {      "email": "string",      "name": "string"    },    "replyMailboxId": "string",    "conversationId": "string",    "metadata": {      "property1": "string",      "property2": "string"    }  },  "audience": {    "topicId": "string",    "includeTags": [      "string"    ],    "excludeTags": [      "string"    ],    "contactIds": [      "string"    ],    "groupIds": [      "string"    ]  },  "policy": {    "pageSize": 100  },  "definition": {    "state": "editable",    "frozenAt": "string"  },  "latestRun": {    "id": "string",    "status": "scheduled",    "scheduledFor": "string",    "completedAt": "string",    "totalRecipients": 0,    "dispatchedCount": 0,    "failedCount": 0,    "skippedCount": 0,    "pendingCount": 0,    "estimatedCompletionAt": "string"  },  "createdBy": "string",  "actorEmail": "string",  "memberRole": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation